# Send data to the actionbar

title @a[scores={arena=3}] actionbar [{"text":"Build your theme!","color":"green"}]







# Count teams

scoreboard players set #city_team_count value 0
execute as @a[scores={arena=3},tag=!spectator] run function build:phase/city/generic/count_teams
tag @a[scores={arena=3},tag=!spectator] remove team_counted







# Manage timer

scoreboard players remove #city_timer value 1
scoreboard players operation #seconds value = #city_timer value
scoreboard players add #seconds value 19
scoreboard players operation #seconds value /= #20 value
scoreboard players operation #minutes value = #seconds value
scoreboard players operation #minutes value /= #60 value
scoreboard players operation #seconds value %= #60 value
execute if score #seconds value matches ..09 run bossbar set build:city name ["",{"text":"Time remaining: ","color":"green"},{"score":{"name":"#minutes","objective":"value"}},{"text":":0"},{"score":{"name":"#seconds","objective":"value"}}]
execute if score #seconds value matches 10.. run bossbar set build:city name ["",{"text":"Time remaining: ","color":"green"},{"score":{"name":"#minutes","objective":"value"}},{"text":":" },{"score":{"name":"#seconds","objective":"value"}}]
execute store result bossbar build:city value run scoreboard players get #city_timer value







# Manage modifiers

execute if score #city_modifiers value matches 1.. run scoreboard players remove #city_modifiers_timer value 1
execute if score #city_modifiers value matches 1.. if score #city_modifiers_timer value matches ..0 run function build:phase/city/3/modifiers/main







# Manage completion score

execute as @a[scores={arena=3,complete=1..},tag=!spectator] run function build:phase/city/3/complete







# Start voting phase

execute unless entity @a[scores={arena=3},tag=!eliminated,tag=!skipped,tag=!complete,tag=!spectator] run function build:phase/city/4/start/complete
execute if score #city_phase value matches 3 if score #city_timer value matches ..0 run function build:phase/city/4/start/times_up







# Cancel if there are too few players

execute if score #city_team_count value matches ..2 run function build:phase/city/generic/abort